> ## Documentation Index
> Fetch the complete documentation index at: https://nayax-44d6e37b-docs-marshall-faq-redistribution.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Product Group

> Updates the details of a specific product group identified by the ProductGroupID. The request body should include the updated information such as the product group name, code, and category.



## OpenAPI

````yaml /openapi/lynx.yaml put /v1/productGroups/{ProductGroupID}
openapi: 3.0.1
info:
  title: Nayax Operational Lynx API
  version: v1
servers:
  - url: https://qa-lynx.nayax.com/operational
security:
  - Authorization: []
paths:
  /v1/productGroups/{ProductGroupID}:
    put:
      tags:
        - Product Groups
      summary: Update Product Group
      description: >-
        Updates the details of a specific product group identified by the
        ProductGroupID. The request body should include the updated information
        such as the product group name, code, and category.
      operationId: update-product-group
      parameters:
        - name: ProductGroupID
          in: path
          description: The unique identifier of the product group.
          required: true
          schema:
            type: integer
            format: int32
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProductGroupUpdateRequest'
      responses:
        '200':
          description: The updated details of the specified product group.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductGroup'
components:
  schemas:
    ProductGroupUpdateRequest:
      type: object
      properties:
        ProductGroupName:
          type: string
          nullable: true
          description: The updated name of the product group.
        ProductGroupCode:
          type: integer
          format: int64
          nullable: true
          description: The updated code associated with the product group.
        ProductGroupSubCode:
          type: integer
          format: int64
          nullable: true
          description: The updated sub-code associated with the product group.
        ProductGroupCategoryCode:
          type: string
          nullable: true
          description: The updated category code associated with the product group.
      additionalProperties: false
    ProductGroup:
      type: object
      properties:
        ProductGroupRef:
          type: string
          nullable: true
          readOnly: true
          description: A reference identifier for the product group.
        ActorRef:
          type: string
          nullable: true
          readOnly: true
          description: >-
            A reference identifier for the actor associated with the product
            group.
        ProductGroupID:
          type: integer
          format: int32
          nullable: true
          description: The unique identifier of the product group.
        ActorID:
          type: integer
          format: int64
          nullable: true
          description: >-
            The unique identifier of the actor associated with the product
            group.
        ProductGroupName:
          type: string
          nullable: true
          description: The name of the product group.
        ProductGroupCode:
          type: integer
          format: int64
          nullable: true
          description: The code associated with the product group.
        ProductGroupSubCode:
          type: integer
          format: int64
          nullable: true
          description: >-
            A sub-code associated with the product group for further
            categorization.
        ProductGroupCreatedBy:
          type: integer
          format: int64
          nullable: true
          description: The identifier of the user who created the product group.
        ProductGroupCreationDate:
          type: string
          format: date-time
          nullable: true
          description: The date and time when the product group was created.
        ProductGroupUpdatedBy:
          type: integer
          format: int64
          nullable: true
          description: The identifier of the user who last updated the product group.
        ProductGroupLastUpdated:
          type: string
          format: date-time
          nullable: true
          description: The date and time when the product group was last updated.
        ProductGroupPictureURL:
          type: string
          nullable: true
          description: The URL of the picture associated with the product group.
        ProductGroupCategoryCode:
          type: string
          nullable: true
          description: The category code associated with the product group.
      additionalProperties: false
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      description: Enter your Bearer token. It's required to authenticate API requests.

````